# isAbstract abstract method

bool isAbstract()

Checks if this class is abstract.

Returns:

- `true` if the class is declared with `abstract` modifier
- `false` for concrete classes

Example:

    abstract class Animal {}
    class Dog extends Animal {}

    Class.forType<Animal>().isAbstract(); // true
    Class.forType<Dog>().isAbstract();    // false

## Implementation

    bool isAbstract();